GNU bug report logs - #44001
vc-print-log-setup-buttons leaves point at eob

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Thien-Thi Nguyen <ttn@HIDDEN>; Keywords: fixed patch; merged with #31764; Done: Noam Postavsky <npostavs@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Forcibly Merged 31764 44001. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 44001 <at> debbugs.gnu.org:


Received: (at 44001) by debbugs.gnu.org; 15 Oct 2020 08:23:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 15 04:23:48 2020
Received: from localhost ([127.0.0.1]:54190 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kSyY8-0004Op-5k
	for submit <at> debbugs.gnu.org; Thu, 15 Oct 2020 04:23:48 -0400
Received: from mail-ej1-f68.google.com ([209.85.218.68]:38445)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andreyk.mad@HIDDEN>) id 1kSyY5-0004OZ-Su
 for 44001 <at> debbugs.gnu.org; Thu, 15 Oct 2020 04:23:46 -0400
Received: by mail-ej1-f68.google.com with SMTP id ce10so2347166ejc.5
 for <44001 <at> debbugs.gnu.org>; Thu, 15 Oct 2020 01:23:45 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=bkFqMQPj/wOdx+j8Fl8dMPsRGzuus/qVnu1SRS4sqN8=;
 b=BvaqOanZUTUsZXxVigx3o7cokjExpiLeuKHOrD8A6Lh68TREEw7gAWRLR34VZCgbTY
 e2W1LcSYfAGPcpdFwEIDWeEtooNKXEMuCC8lcZkIjVS1/qy5j9ZKXu5RT4USYEm2JinJ
 0xd0nNssea67PRNKhtW5fuOjkIFJGo9XfUpRxz4xDV6yVIUsCQ/KwRRSRjcSDKyu9FRG
 /ym8s3bs5ww58PCv/g7yjCkUDKote0KOGFlxcLR4nbw/f8QTr2Vh+vOEJMbOymyhDPav
 smOLyzFXCh7kGKdisw0YZ1VceDscnRFFj1TpRoyGsE8mM9UtaqASzNNYALm2KD11tr8l
 HBEA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=bkFqMQPj/wOdx+j8Fl8dMPsRGzuus/qVnu1SRS4sqN8=;
 b=qNTPjeH8PmNu2FcGN6OwnHfd66jrfD5efchL6FlI8uXkUqm5SrjoHbQvnphiOgkU6M
 bI/onHhW1mLq0Mx9fS1lC4fTjYhkfpKvOddKikYYv1RquSV1ad/dHCAjJX36s/A7bHfp
 MlLqzbwccxV1Y2UC6JFXS2qwiS2/K1eWYrbzEZrIsQxGxAsfr5BKDbR3oAGRwRCIDihu
 /y1OoU5kFnUdPuvGk59j41zcPVQvRednqk+8bNS/qbE6bHjOUr+ZGhpSrII+TGId7/Wj
 iNccYuIu2JQmXeqMIzUAbn9mgDDz1LlTnCXvyJUJHMo8h4Et679iYb4q/PSkU5Ylujra
 h9uA==
X-Gm-Message-State: AOAM530xJk0BEr2T8/qayZa3MGt9klkM/6EnRU3/hG+plKpWa5tZCFYu
 w+bJgE1abQlKNYXFNwR1vtR0OUORXuI=
X-Google-Smtp-Source: ABdhPJyUUoWoS8Sfxb2w3AYPEhL+Ir2ck8n3mpYweFfRf4CdQ3/39kbdiomFQMLmqHc6ugk7+7i4UQ==
X-Received: by 2002:a2e:6a19:: with SMTP id f25mr876596ljc.386.1602750218777; 
 Thu, 15 Oct 2020 01:23:38 -0700 (PDT)
Received: from muffinmac ([91.206.110.168])
 by smtp.gmail.com with ESMTPSA id x20sm990863ljc.38.2020.10.15.01.23.37
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 15 Oct 2020 01:23:38 -0700 (PDT)
From: Andrii Kolomoiets <andreyk.mad@HIDDEN>
To: Thien-Thi Nguyen <ttn@HIDDEN>
Subject: Re: bug#44001: vc-print-log-setup-buttons leaves point at eob
References: <87eem0qs5u.fsf@HIDDEN> <m2blh4vv47.fsf@HIDDEN>
 <m24kmwvuvm.fsf@HIDDEN> <878sc7rk2p.fsf@HIDDEN>
Date: Thu, 15 Oct 2020 11:23:36 +0300
In-Reply-To: <878sc7rk2p.fsf@HIDDEN> (Thien-Thi Nguyen's message of "Thu, 
 15 Oct 2020 04:04:46 -0400")
Message-ID: <m2v9fbvqwn.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 3.6 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Thien-Thi Nguyen writes: > () Andrii Kolomoiets > () Thu,
 15 Oct 2020 09:57:49 +0300 > > Looks like this was fixed in bug#31764: >
 https://debbugs.gnu.org/cgi/bugreport.cgi?bug=31764
 > > Indeed, and w/ the same approach i s [...] 
 Content analysis details:   (3.6 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
 [91.206.110.168 listed in zen.spamhaus.org]
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (andreyk.mad[at]gmail.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.218.68 listed in list.dnswl.org]
 0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [209.85.218.68 listed in wl.mailspike.net]
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
X-Debbugs-Envelope-To: 44001
Cc: 44001 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.6 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Thien-Thi Nguyen writes: > () Andrii Kolomoiets > () Thu,
   15 Oct 2020 09:57:49 +0300 > > Looks like this was fixed in bug#31764: > https://debbugs.gnu.org/cgi/bugreport.cgi?bug=31764
    > > Indeed, and w/ the same approach i s [...] 
 
 Content analysis details:   (2.6 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [91.206.110.168 listed in zen.spamhaus.org]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [209.85.218.68 listed in list.dnswl.org]
  0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [209.85.218.68 listed in wl.mailspike.net]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (andreyk.mad[at]gmail.com)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders

Thien-Thi Nguyen <ttn@HIDDEN> writes:

> () Andrii Kolomoiets <andreyk.mad@HIDDEN>
> () Thu, 15 Oct 2020 09:57:49 +0300
>
>    Looks like this was fixed in bug#31764:
>    https://debbugs.gnu.org/cgi/bugreport.cgi?bug=31764
>
> Indeed, and w/ the same approach i stumbled upon.
> Thanks!  I suppose we can close this bug, then.
>
> BTW, for future reference, how did you find this
> previous bug report?

Found call to 'vc-print-log-setup-buttons' in 'vc-print-log-internal' in
vc.el, noticed it's already under 'save-excursion'.
Then 'vc-annotate' (C-x v g) and then
'vc-annotate-show-log-revision-at-line' (l).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44001; Package emacs. Full text available.

Message received at 44001 <at> debbugs.gnu.org:


Received: (at 44001) by debbugs.gnu.org; 15 Oct 2020 08:21:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 15 04:21:46 2020
Received: from localhost ([127.0.0.1]:54186 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kSyW9-0004KV-Pr
	for submit <at> debbugs.gnu.org; Thu, 15 Oct 2020 04:21:45 -0400
Received: from mail-wr1-f46.google.com ([209.85.221.46]:45051)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1kSyW8-0004KF-M1
 for 44001 <at> debbugs.gnu.org; Thu, 15 Oct 2020 04:21:45 -0400
Received: by mail-wr1-f46.google.com with SMTP id t9so2250153wrq.11
 for <44001 <at> debbugs.gnu.org>; Thu, 15 Oct 2020 01:21:44 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version:content-transfer-encoding;
 bh=6lXEW0faa8QpYWiXwfp4W5prqF7MG/NKzb26juomi2g=;
 b=o2rLWBU9CNzqzIBrAY8AOfDqT5uAZhhbkeOGelvNevDlfdcPfoNrNx/TMWPJpIfPBA
 DNR3w2vB5h9TjD5camhS4RR56a7RBwp3MKOAIvLAPiaZ7TNxOY+hzu6B5+FeItVCfnsg
 0QNYsCG2OHzgcCol3oynGGPh5Bi26PRfSCQ8QnUi9pf+YZIYX9VZZ1LL2RejrowRLYad
 QzXe6iZNCE72m7GK6NzTXdCJChjYH7opi3imboCHEWiHbMU8fGJzMWN1d9fsTBKPQ9+c
 1crQld9VsYeAZqKHTL5qThoQv4tZnLwc1b3G4PhWsWulj59mx+aFImB2aJs5vhe069yF
 CqAQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:in-reply-to:references:date
 :message-id:mime-version:content-transfer-encoding;
 bh=6lXEW0faa8QpYWiXwfp4W5prqF7MG/NKzb26juomi2g=;
 b=dGiLR6e0z9aNgcJqulvpKbHtvrndJ3bc4D8/7Atkf2xQtNpGAIBeqIwFi97UWlzq+q
 anoh20zsgO7427c62+G+X5HN2RybubaNIxai4P6GF+3g7Y5mFZKt3ragh0JZMzw7nzlO
 1N0pCpRO2wur6p5Wo8oqrvC3BdtUjFuPaNWQplRkAw3CoONnEEASWhKmsUS6kF/wqskB
 Qh6t6+Etytz8ZkYcJy1vkguPntL0P/PsFka5GVpeIXqgxri/2pmSjGIy7ukAzMqxE+KL
 yXF+zdTSxWv88sxx218jN/Dg9xyULu15Nk2jNuUA3onNc3T4mrtUBo9h83xUhthWeY9p
 MpEQ==
X-Gm-Message-State: AOAM530ri+IPcm+koCZrCv4zF3hoSPazw3eT8Uw9j1CGqHb8ef5idvyS
 8zp077JK2mGJ689TjzJCIcR9vKNhBfM=
X-Google-Smtp-Source: ABdhPJzRAqc8NBtnYSkZsp5vEkPD1P1w0L1/+FXSJC/kY84Hm2KBiNb4tGit3rLDifNZSCoL7VVdWg==
X-Received: by 2002:a5d:63c3:: with SMTP id c3mr2835300wrw.315.1602750098290; 
 Thu, 15 Oct 2020 01:21:38 -0700 (PDT)
Received: from rpluim-mac ([2a01:e34:ecfc:a860:c79:b00d:5409:83f9])
 by smtp.gmail.com with ESMTPSA id a127sm3438382wmh.13.2020.10.15.01.21.36
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 15 Oct 2020 01:21:37 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Thien-Thi Nguyen <ttn@HIDDEN>
Subject: Re: bug#44001: vc-print-log-setup-buttons leaves point at eob
In-Reply-To: <878sc7rk2p.fsf@HIDDEN> (Thien-Thi Nguyen's message of "Thu, 
 15 Oct 2020 04:04:46 -0400")
References: <87eem0qs5u.fsf@HIDDEN> <m2blh4vv47.fsf@HIDDEN>
 <m24kmwvuvm.fsf@HIDDEN> <878sc7rk2p.fsf@HIDDEN>
Date: Thu, 15 Oct 2020 10:21:36 +0200
Message-ID: <m2wnzrj3vz.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 44001
Cc: 44001 <at> debbugs.gnu.org, Andrii Kolomoiets <andreyk.mad@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Thu, 15 Oct 2020 04:04:46 -0400, Thien-Thi Nguyen <ttn@HIDDEN=
> said:

    Thien-Thi> () Andrii Kolomoiets <andreyk.mad@HIDDEN>
    Thien-Thi> () Thu, 15 Oct 2020 09:57:49 +0300

    Thien-Thi>    Looks like this was fixed in bug#31764:
    Thien-Thi>    https://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D31764

    Thien-Thi> Indeed, and w/ the same approach i stumbled upon.
    Thien-Thi> Thanks!  I suppose we can close this bug, then.

    Thien-Thi> BTW, for future reference, how did you find this
    Thien-Thi> previous bug report?

I don=CA=BCt know about Andrii, but 'git log --grep
vc-print-log-setup-buttons' will do it.

Robert
--=20




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44001; Package emacs. Full text available.

Message received at 44001 <at> debbugs.gnu.org:


Received: (at 44001) by debbugs.gnu.org; 15 Oct 2020 08:07:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 15 04:07:16 2020
Received: from localhost ([127.0.0.1]:54146 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kSyI8-0001mL-Cn
	for submit <at> debbugs.gnu.org; Thu, 15 Oct 2020 04:07:16 -0400
Received: from delivery.mailspamprotection.com ([146.66.121.60]:50429)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ttn@HIDDEN>) id 1kSyI6-0001mC-4Q
 for 44001 <at> debbugs.gnu.org; Thu, 15 Oct 2020 04:07:15 -0400
Received: from 241.110.209.35.bc.googleusercontent.com ([35.209.110.241]
 helo=giow1035.siteground.us)
 by se16.mailspamprotection.com with esmtps (TLSv1.2:AES128-GCM-SHA256:128)
 (Exim 4.92) (envelope-from <ttn@HIDDEN>)
 id 1kSyI3-000Ij3-84; Thu, 15 Oct 2020 03:07:13 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnuvola.org
 ; s=default;
 h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=5nSYZYYAcZW9Ss/LRK5Z7aX3k2yrn/AF7h5Vl4zsGyQ=; b=L3EEZMCGMat6hIHcl1BdZr7F7T
 mp5cpIy17liqTfz/v2ifJzo3q4YU+QHzsrEgcjSIA1JlhJvB2kXFhuZZLPhqNEG9itXrVcQ+yhHZo
 FIOZEu1Ernc6ASgysIm+N40OF384+vn8o129kBVve7Zvw0z749ZSm6crx9/SU8mP1Kqg=;
Received: from [50.89.166.226] (port=44866 helo=miasma)
 by giow1035.siteground.us with esmtps
 (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256) (Exim 4.90.1)
 (envelope-from <ttn@HIDDEN>)
 id 1kSyI1-000D6k-9q; Thu, 15 Oct 2020 08:07:09 +0000
From: Thien-Thi Nguyen <ttn@HIDDEN>
To: Andrii Kolomoiets <andreyk.mad@HIDDEN>
Subject: Re: bug#44001: vc-print-log-setup-buttons leaves point at eob
Organization: sometimes
References: <87eem0qs5u.fsf@HIDDEN> <m2blh4vv47.fsf@HIDDEN>
 <m24kmwvuvm.fsf@HIDDEN>
Date: Thu, 15 Oct 2020 04:04:46 -0400
In-Reply-To: <m24kmwvuvm.fsf@HIDDEN> (Andrii Kolomoiets's message of "Thu, 
 15 Oct 2020 09:57:49 +0300")
Message-ID: <878sc7rk2p.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha1; protocol="application/pgp-signature"
X-Originating-IP: 35.209.110.241
X-SpamExperts-Domain: giow1035.siteground.us
X-SpamExperts-Username: 35.209.110.241
Authentication-Results: mailspamprotection.com; auth=pass
 smtp.auth=35.209.110.241@HIDDEN
X-SpamExperts-Outgoing-Class: ham
X-SpamExperts-Outgoing-Evidence: Combined (0.27)
X-Recommended-Action: accept
X-Filter-ID: Mvzo4OR0dZXEDF/gcnlw0ZXzIHSbE2lF8iY6Od2jmSypSDasLI4SayDByyq9LIhVsfRjZ7w6BtNs
 AXLkJoVT/ETNWdUk1Ol2OGx3IfrIJKyP9eGNFz9TW9u+Jt8z2T3K0s8C74qQFrhA8mV9Udtm7peu
 ThqdWrE9IyCIfImU3V6SGk45iAlH9VjYZYnwIqA+TX+DNB8zzxX/4FjqtJmb5Dmt9PNEOCEqa8nh
 XPWpHkoBzS5fPHINUJxVzZg1ZLp9gmsYntIZvASFzmmwEK8xko71V7qd+W7/u8FfNCxON5S6wXPY
 jkuySWLodxaGC9RldzDl8nh5as3XkFR3Aor1BsE95bF8tPKjnaWlQ6fjTEeg4CZvTGBeutAohO1y
 UnDCPEg+PVRTiaxPY52n0Pp/8+8qnniOfkZexDHnif3Wm+CTaKSMDl6ZFS/CCrt1SkXA67Gl1QdN
 F+Za39piahioqQ4WHsJdu3jRKHBAiHgJR43mRO2CcIQVgm9T5haIwTso17NirEYyqwqMBGrw8ELi
 qNk0m2DDUKjQ8PKxPVsAyUgE/Xy9bqh2t87xwDNJ1ZQnk3u7CZTd4dWjuU85D/AJnqa5zn3o6MtK
 8pf0hPbAkeCZME8HeiOTBXPmeRcbGamAcxw3qqhc+N6cuEg4XWh5FkYPCElSELxU6v4pd/qwlvUc
 UcENSyDiewfdA0iOsQAJk5QuKBCGx8loLh2HpbfDS9wE4CB7CqIJwl4RFOmn3AUtEgSi/FDeAE+K
 y3yMSZ2+07oPB/Q1r9HOco9ARWMDbosEMysPur9wmiDBurOy6iRz0zUGjDSTY3S3oQMCjbXrJlXo
 ybOvrfLlgErbJFPCX2Li0LIODPKQO3xuZgfhPwjYbcwFxQkPvTr44hOp8r0aWvhyFdzWd6kwzW9c
 o+A8SCG7X+t1TW39Ja77LGPpOwBmQuU1Lgmv5s8j16/zYkPYrWSa5U3Lh+YWXW+3AT1AUnpnZWzO
 QMkNQj+EwTaW8CojF5QB0kTnrqr1Kw1A/12Okdu6/R2FM84kxYRFSvC1ICx/cbs34HlCyxLEi2md
 CroXKu1VbgppFJRGoXLED7mHZEKhyNAv1N35kYWaEdgLupeurhpTG1E3bhUEJRtA/TRMSCTdxEIl
 1P7xYJtrCVu4
X-Report-Abuse-To: spam@HIDDEN
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 44001
Cc: Thien-Thi Nguyen <ttn@HIDDEN>, 44001 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

() Andrii Kolomoiets <andreyk.mad@HIDDEN>
() Thu, 15 Oct 2020 09:57:49 +0300

   Looks like this was fixed in bug#31764:
   https://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D31764

Indeed, and w/ the same approach i stumbled upon.
Thanks!  I suppose we can close this bug, then.

BTW, for future reference, how did you find this
previous bug report?

=2D-=20
Thien-Thi Nguyen -----------------------------------------------
 (defun responsep (query)               ; (2020) Software Libero
   (pcase (context query)               ;       =3D Dissenso Etico
     (`(technical ,ml) (correctp ml))
     ...))                              748E A0E8 1CB8 A748 9BFA
=2D-------------------------------------- 6CE4 6703 2224 4C80 7502

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iG4EARECAC4WIQR0jqDoHLinSJv6bORnAyIkTIB1AgUCX4gCnxAcdHRuQGdudXZv
bGEub3JnAAoJEGcDIiRMgHUCreEAnA6CVhK3SNibzHWVELBkVcM7DgZtAKDR0zFu
j1wyjri5OM3I0Kmk1IA6lQ==
=D+Fv
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44001; Package emacs. Full text available.

Message received at 44001 <at> debbugs.gnu.org:


Received: (at 44001) by debbugs.gnu.org; 15 Oct 2020 06:58:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 15 02:58:00 2020
Received: from localhost ([127.0.0.1]:53959 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kSxD5-00048S-Px
	for submit <at> debbugs.gnu.org; Thu, 15 Oct 2020 02:58:00 -0400
Received: from mail-lf1-f68.google.com ([209.85.167.68]:40626)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andreyk.mad@HIDDEN>) id 1kSxD4-00048D-AT
 for 44001 <at> debbugs.gnu.org; Thu, 15 Oct 2020 02:57:59 -0400
Received: by mail-lf1-f68.google.com with SMTP id a9so2305510lfc.7
 for <44001 <at> debbugs.gnu.org>; Wed, 14 Oct 2020 23:57:58 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=lXtrUrU/exbokVsjIgDn4n2mzaEGkjjPmgHDEZ2lXFs=;
 b=XZQ9fTX6E0QmlQvDu6/KLHNg7dtveZPLgzdJjjF14/ulNA09PeWO5xkWK+UkknNi88
 iPk7lHwFbJPYr6ON8X2xuNk4Z6IRNhkA3hUswbrVP/BCP06tLqW0oc8KLcDL1VtwX2Tk
 b3WcyuLK5Av2IYhEv8JzspCjNTgVr3HB8jLtrWJoJJfiXI653Y4I3CMZbtjmpR5PWLqY
 stpjltJ6LfUSjYpy5gDQ0kvqY4J362C8XS7FdrST4PcqEdl05ewXIqRreGX8m8nO6Qss
 qDir08bsqak5n2MW+Ux0Lo2NTpE9nmoCEwFbFgeiNNGVLyBtteT19o+e7hei41emc0+S
 VWBQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=lXtrUrU/exbokVsjIgDn4n2mzaEGkjjPmgHDEZ2lXFs=;
 b=COUlQCnwX1OM1IKVD6AFtc/Azyp2fPeWxw1LXOHNs0CQMIljwPsl+054vI5ZvVnUqf
 aStBoHtLYrpg59cMM8HvnuNYM9hpUN9VKbHXbXuWw8IrcHVTJkEl6gELfByqKoOnqyrO
 GgdVs8zy/DoqTV+uh9y3XBvUdKmxkqOAnicn/5uVcNeDmyqNkMtETPKlbUNZYCLA3APu
 R/TyOFg/orlBdqhrwJKW6OVTvJw/5aCzpT7CIM578FXwxG4K90GnI189G0PJmEc57Xvh
 MDZt9TIVnSp8MeJinAB+soh+p119VCCwmDySN/qAkVs4EyX0jJFNyY8UMAwLSMrmQC2U
 pvkg==
X-Gm-Message-State: AOAM5316nHi1nXnh5LpLsYWro87reGCQz9NMMp8oACvXYyywg/tJEIxS
 RtZywE9982CR7znywN/7I6jmunPLW0I=
X-Google-Smtp-Source: ABdhPJyxMy+jRzrfCE1kEECDliO30z9nSNnQos8l9Goz24DQi/zzL7icDp2R2YZuqRNLaq/IXPSlZg==
X-Received: by 2002:a19:4a88:: with SMTP id x130mr544661lfa.31.1602745071880; 
 Wed, 14 Oct 2020 23:57:51 -0700 (PDT)
Received: from muffinmac ([91.206.110.168])
 by smtp.gmail.com with ESMTPSA id m1sm685909lfh.99.2020.10.14.23.57.50
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 14 Oct 2020 23:57:50 -0700 (PDT)
From: Andrii Kolomoiets <andreyk.mad@HIDDEN>
To: Thien-Thi Nguyen <ttn@HIDDEN>
Subject: Re: bug#44001: vc-print-log-setup-buttons leaves point at eob
References: <87eem0qs5u.fsf@HIDDEN> <m2blh4vv47.fsf@HIDDEN>
Date: Thu, 15 Oct 2020 09:57:49 +0300
In-Reply-To: <m2blh4vv47.fsf@HIDDEN> (Andrii Kolomoiets's message of "Thu, 
 15 Oct 2020 09:52:40 +0300")
Message-ID: <m24kmwvuvm.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (darwin)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 3.6 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Andrii Kolomoiets writes: > Thien-Thi Nguyen writes: > >>
   I have the following in my ~/.emacs flow: >> >> ;; 2020-02-01 >> ;; >> ;;
   As of Emacs 26 (or thereabouts), ‘C-x v l’ for files w/ >> ;; "fewer"
   commits, leaves po [...] 
 
 Content analysis details:   (3.6 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [91.206.110.168 listed in zen.spamhaus.org]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (andreyk.mad[at]gmail.com)
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [209.85.167.68 listed in list.dnswl.org]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [209.85.167.68 listed in wl.mailspike.net]
X-Debbugs-Envelope-To: 44001
Cc: 44001 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.6 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Andrii Kolomoiets writes: > Thien-Thi Nguyen writes: > >>
   I have the following in my ~/.emacs flow: >> >> ;; 2020-02-01 >> ;; >> ;;
   As of Emacs 26 (or thereabouts), ‘C-x v l’ for files w/ >> ;; "fewer"
   commits, leaves po [...] 
 
 Content analysis details:   (2.6 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [91.206.110.168 listed in zen.spamhaus.org]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [209.85.167.68 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [209.85.167.68 listed in wl.mailspike.net]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (andreyk.mad[at]gmail.com)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

Andrii Kolomoiets <andreyk.mad@HIDDEN> writes:

> Thien-Thi Nguyen <ttn@HIDDEN> writes:
>
>> I have the following in my ~/.emacs flow:
>>
>> ;; 2020-02-01
>> ;;
>> ;; As of Emacs 26 (or thereabouts), =E2=80=98C-x v l=E2=80=99 for files =
w/
>> ;; "fewer" commits, leaves point at the end of the buffer,
>> ;; whereas it used to leave it at the beginning, or rather on
>
> Can you please provide receipt to reproduce this?  For me, on Emacs 28:
>
> 1. emacs -Q
> 2. C-x C-f <file-under-git-repo>
> 3. C-x v l
>
> The point is at the top log entry.

Looks like this was fixed in bug#31764:
https://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D31764




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44001; Package emacs. Full text available.

Message received at 44001 <at> debbugs.gnu.org:


Received: (at 44001) by debbugs.gnu.org; 15 Oct 2020 06:52:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 15 02:52:52 2020
Received: from localhost ([127.0.0.1]:53951 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kSx87-00040R-Sj
	for submit <at> debbugs.gnu.org; Thu, 15 Oct 2020 02:52:52 -0400
Received: from mail-lj1-f180.google.com ([209.85.208.180]:42163)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andreyk.mad@HIDDEN>) id 1kSx85-00040A-2t
 for 44001 <at> debbugs.gnu.org; Thu, 15 Oct 2020 02:52:50 -0400
Received: by mail-lj1-f180.google.com with SMTP id h20so1974590lji.9
 for <44001 <at> debbugs.gnu.org>; Wed, 14 Oct 2020 23:52:48 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=KuXi1UfgYqNpm92Da9xZoP60vek36hGUgW7HAclRyNA=;
 b=dcvnwqbgtOHNjaQy2R71HhnhXbBa0Sbxa6uwWUZ6HQrUG0BeeUMU96zW5vJrIDqDfQ
 PvQBayxOuHqTbfhJgBeo253IqD/TPi9DVxqEu0GuCsu77p0zu1cYpvKuQMamHOmUM+fW
 yxwmHjFnx0dtJjRYPyoH61bc2H/hg1Mf+sZYAwosXEcrO0GEWj63v5BzYBOpyt2PL6l3
 ytuU/xd+MP4eHCfpRdECL8Ur4EVRnzeBj5LdCuzE7HuXnz0wM6vkMxSLG67k4WOQhOvw
 ArVFG962GdxBAlXe0HSUtGvlgAOtFulfhF+pzV1+FoqTW+GEivHYn18kFhV81eZezPmj
 9GDQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=KuXi1UfgYqNpm92Da9xZoP60vek36hGUgW7HAclRyNA=;
 b=bc4NQZbAhk54jR369L6OAJbrw3pM1Spd/SUFpCqurM9GYpzMqAvnOmXs9crurfEf5c
 j15LqVou3/jBCK+E2tSzqGM0AleWPeD7cTVffBiMF23kVXy2AwqUYo6P6DVKZuKVlVyc
 WCT8p/kdQ36YLm0s2Ne3Z/p1N2U8FoSwc5UEdXBT0pIyvSn0B/iTwZiHBIQA+qeqt34J
 aI8QK5GhyL1dW+SV11kAgr3gY/8JFINufdPpHOZlzy0FC7AUGKAgOKQNBkuM+s33380j
 8WjvsnFvoz+8QNkDr6PwGBGu+xrG6HRQOAxZjyzP5NrDxqsKQWB6u37u+108Fj35OqK/
 0woA==
X-Gm-Message-State: AOAM533zU0qLXTcxarYWu9QtwG/owhSkms/AXY7RLqSSavPJjXbmU8OK
 hfUBFuQToD6Ey6Ap1C8o5cErQG3oWdo=
X-Google-Smtp-Source: ABdhPJySwOq/uAPGaFbqNUv5IsY0+jHM/2/KGQlMbggiOm2OMnt5mIF0NRaD+cFcG9EGJ1uzPHo/8Q==
X-Received: by 2002:a05:651c:118d:: with SMTP id
 w13mr721546ljo.167.1602744762494; 
 Wed, 14 Oct 2020 23:52:42 -0700 (PDT)
Received: from muffinmac ([91.206.110.168])
 by smtp.gmail.com with ESMTPSA id m20sm898350ljj.94.2020.10.14.23.52.41
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 14 Oct 2020 23:52:41 -0700 (PDT)
From: Andrii Kolomoiets <andreyk.mad@HIDDEN>
To: Thien-Thi Nguyen <ttn@HIDDEN>
Subject: Re: bug#44001: vc-print-log-setup-buttons leaves point at eob
References: <87eem0qs5u.fsf@HIDDEN>
Date: Thu, 15 Oct 2020 09:52:40 +0300
In-Reply-To: <87eem0qs5u.fsf@HIDDEN> (Thien-Thi Nguyen's message of "Wed, 
 14 Oct 2020 19:55:25 -0400")
Message-ID: <m2blh4vv47.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (darwin)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 3.6 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Thien-Thi Nguyen writes: > I have the following in my ~/.emacs
    flow: > > ;; 2020-02-01 > ;; > ;; As of Emacs 26 (or thereabouts), ‘C-x
    v l’ for files w/ > ;; "fewer" commits, leaves point at the end of the
   buffer, > ;; wh [...] 
 
 Content analysis details:   (3.6 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (andreyk.mad[at]gmail.com)
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [91.206.110.168 listed in zen.spamhaus.org]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [209.85.208.180 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [209.85.208.180 listed in wl.mailspike.net]
X-Debbugs-Envelope-To: 44001
Cc: 44001 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.6 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Thien-Thi Nguyen writes: > I have the following in my ~/.emacs
    flow: > > ;; 2020-02-01 > ;; > ;; As of Emacs 26 (or thereabouts), ‘C-x
    v l’ for files w/ > ;; "fewer" commits, leaves point at the end of the
   buffer, > ;; wh [...] 
 
 Content analysis details:   (2.6 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [91.206.110.168 listed in zen.spamhaus.org]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [209.85.208.180 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [209.85.208.180 listed in wl.mailspike.net]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (andreyk.mad[at]gmail.com)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

Thien-Thi Nguyen <ttn@HIDDEN> writes:

> I have the following in my ~/.emacs flow:
>
> ;; 2020-02-01
> ;;
> ;; As of Emacs 26 (or thereabouts), =E2=80=98C-x v l=E2=80=99 for files w/
> ;; "fewer" commits, leaves point at the end of the buffer,
> ;; whereas it used to leave it at the beginning, or rather on

Can you please provide receipt to reproduce this?  For me, on Emacs 28:

1. emacs -Q
2. C-x C-f <file-under-git-repo>
3. C-x v l

The point is at the top log entry.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44001; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 14 Oct 2020 23:58:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 14 19:58:04 2020
Received: from localhost ([127.0.0.1]:53573 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kSqeh-0000Ic-RY
	for submit <at> debbugs.gnu.org; Wed, 14 Oct 2020 19:58:04 -0400
Received: from lists.gnu.org ([209.51.188.17]:44654)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ttn@HIDDEN>) id 1kSqef-0000IJ-FO
 for submit <at> debbugs.gnu.org; Wed, 14 Oct 2020 19:58:01 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:46258)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ttn@HIDDEN>) id 1kSqef-0004ro-6e
 for bug-gnu-emacs@HIDDEN; Wed, 14 Oct 2020 19:58:01 -0400
Received: from delivery.mailspamprotection.com ([146.66.121.66]:37455)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ttn@HIDDEN>) id 1kSqec-0004MH-Qb
 for bug-gnu-emacs@HIDDEN; Wed, 14 Oct 2020 19:58:00 -0400
Received: from 241.110.209.35.bc.googleusercontent.com ([35.209.110.241]
 helo=giow1035.siteground.us)
 by se22.mailspamprotection.com with esmtps (TLSv1.2:AES128-GCM-SHA256:128)
 (Exim 4.92) (envelope-from <ttn@HIDDEN>) id 1kSqeX-0004ld-3A
 for bug-gnu-emacs@HIDDEN; Wed, 14 Oct 2020 18:57:57 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnuvola.org
 ; s=default;
 h=Content-Type:MIME-Version:Message-ID:Date:Subject:To:From:
 Sender:Reply-To:Cc:Content-Transfer-Encoding:Content-ID:Content-Description:
 Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc:Resent-Message-ID:
 In-Reply-To:References:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=HwMLWEmu/QhrXwRolPAo9HgeloS6+xxnPh3KdEeYGWY=; b=jlXas6OpvTfG+Vb/2tOHpOA2O5
 fAVrkdED1YAduXtN8jxd16Smx10c8yl0qg9R4R/2oHjQwT+ZjscT/MXvg06yLbGlEKs5XohxGXx4K
 NmjCPSDVDQlkIVmaAu7FvVejswhVgb8CGYlNeKxZ2JIhbCftsR1n9HrGk8rArmSIM64w=;
Received: from [50.89.166.226] (port=44826 helo=miasma)
 by giow1035.siteground.us with esmtps
 (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256) (Exim 4.90.1)
 (envelope-from <ttn@HIDDEN>) id 1kSqeU-0005mp-VP
 for bug-gnu-emacs@HIDDEN; Wed, 14 Oct 2020 23:57:51 +0000
From: Thien-Thi Nguyen <ttn@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: vc-print-log-setup-buttons leaves point at eob
Organization: sometimes
Date: Wed, 14 Oct 2020 19:55:25 -0400
Message-ID: <87eem0qs5u.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha1; protocol="application/pgp-signature"
X-Originating-IP: 35.209.110.241
X-SpamExperts-Domain: giow1035.siteground.us
X-SpamExperts-Username: 35.209.110.241
Authentication-Results: mailspamprotection.com; auth=pass
 smtp.auth=35.209.110.241@HIDDEN
X-SpamExperts-Outgoing-Class: ham
X-SpamExperts-Outgoing-Evidence: Combined (0.14)
X-Recommended-Action: accept
X-Filter-ID: Mvzo4OR0dZXEDF/gcnlw0ZXzIHSbE2lF8iY6Od2jmSypSDasLI4SayDByyq9LIhVsbAY3aI/H5gB
 NNT8SO3nrETNWdUk1Ol2OGx3IfrIJKywOmJyM1qr8uRnWBrbSAGD0VsY0HzEkBzUTjuObUvkgtQ5
 3pMmTXeVbblO3cSIiVAFj6EHolcbZx7ZOSYd4XiwJODXbtOodkPED+RkHjVGH/XuzFp110M6q4fN
 Qp9EtSC25J3SALBUcrO1qS9n2u1fDyNTxFsPebmaxH1pbKu59zwX8glEDxkXwLkCckHFIUMwFR42
 J7UfXpcz2r2kQsBELXlmC60tmJRRpwzLoIbf5RR8Pn/4ZVaMtKTxj4/k25+btB7+FSxlHuYIERvd
 RN/RhHQOLtWk4clq0P6Ltvr/5SHJoMUUPefK/r3SbyouFWuKpGKXOyj25qSre2329pqfVf1qzaRU
 c3P3olRHLamMQyb0mbZGjIHswS91OoTWbV1pLRUYE+jf+CRz1mRmvg+3ejx+ZEH83D3uT7G9vVxS
 oIOZ/FQYqPJulBW8G2/zLcvJvFCbAD7w3FUirQwmJIqD2OUMeHyTpNN0eXybX/w7/3ZCM0u5uBlK
 VwmNWN494pXjnzJ0E7sUbsO29yv2kW+Y9sP3ZeFXeKjEIjA/49yFAjt2ubZDfQxHVhJidcbIP262
 dr6Fpn7ulB72pFOlNE8+kWkz6ltVlsAO74Q8oQpnTg0/GaBvmwV4h9oMNf9fAG2au8ag6Ik44xqT
 UtVxl21y4pgasvmy4fSBKyMeWybPgyaeAP0T+KGCFJMjriaGScbVCSaievfTF8Uuba/k23R6NeDv
 biAXOEdhR77toqbS9Re/1D+pyJtObTQfGg57uzdOL4nawG8z87Sn7OLOV4LifHfPBrosFxyPXGEM
 xCNysmVzBqTyUQs++SbAHESpNdftxOzzT/YWdmD8gywgB151rQCPY1Qbaq+857zpTi6r/R8ZUwM4
 OXgHXxfs5t0stlC7l4hwVXEX1lj6XnbPPh0WZYtfZltBvdQkqKESagO7CGovYIdFs3c13B2EZqhh
 YOvy2x4COf5n/TLAWbXbWrckZ/pnurL8zBZkV37CxS5YgHndwcgUdq9CmjcVQOstghA=
X-Report-Abuse-To: spam@HIDDEN
Received-SPF: pass client-ip=146.66.121.66; envelope-from=ttn@HIDDEN;
 helo=delivery.mailspamprotection.com
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/10/14 19:57:57
X-ACL-Warn: Detected OS   = Linux 2.2.x-3.x [generic] [fuzzy]
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_NONE=-0.0001, RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

I have the following in my ~/.emacs flow:

;; 2020-02-01
;;
;; As of Emacs 26 (or thereabouts), =E2=80=98C-x v l=E2=80=99 for files w/
;; "fewer" commits, leaves point at the end of the buffer,
;; whereas it used to leave it at the beginning, or rather on
;; the "selected" commit entry, which typically was the first --
;; same result after all.
;;
;; The culprit seems to be the buttons for extending the commit
;; range, drawn at the end of the buffer by
;; =E2=80=98vc-print-log-setup-buttons=E2=80=99.  This advice fixes things =
for
;; now.  The true fix will be to upstream this, either directly
;; into the function itself, or into its caller.  Probably
;; better to do it in the caller.
;;
;; FIXME: Upstream the fix!
;;
(advice-add 'vc-print-log-setup-buttons :around
            (lambda (orig-fun &rest args)
              "Do =E2=80=98save-excursion=E2=80=99 around the original func=
tion."
              (save-excursion
                (apply orig-fun args))))

I know advice is not the right way to do it, but am writing to
ask if this approach is okay.  (If so, i can work up a patch.)

=2D-=20
Thien-Thi Nguyen -----------------------------------------------
 (defun responsep (query)               ; (2020) Software Libero
   (pcase (context query)               ;       =3D Dissenso Etico
     (`(technical ,ml) (correctp ml))
     ...))                              748E A0E8 1CB8 A748 9BFA
=2D-------------------------------------- 6CE4 6703 2224 4C80 7502

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iG4EARECAC4WIQR0jqDoHLinSJv6bORnAyIkTIB1AgUCX4eP8hAcdHRuQGdudXZv
bGEub3JnAAoJEGcDIiRMgHUCXqAAn2NhybcxAmfizff20KRViUcw/r+OAKDixURQ
qnczaf5xg/7Gdz10YTY4dA==
=Fhhx
-----END PGP SIGNATURE-----
--=-=-=--




Acknowledgement sent to Thien-Thi Nguyen <ttn@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#44001; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 21 Oct 2020 19:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.